	double precision, allocatable :: rx(:), ry(:), rz(:)
	double precision :: a, b, c
	double precision :: lx, ly, lz
	double precision :: zero
	integer :: n, iii, jjj
	integer :: iix, iiy, iiz

	zero = 0.0d0

!	CELL SIZE
	iix = 3
	iiy = 3
	iiz = 5

	n = 4*iix*iiy*iiz
	allocate(rx(n),ry(n),rz(n))

	a = 5.8315 ! ang
	b = a      ! ang
	c = 3.1814 ! ang
	
	lx = a*dble(iix)
	ly = b*dble(iiy)
	lz = c*dble(iiz)

	rx(1) = 0.0d0;	ry(1) = 0.0d0;	rz(1) = 0.0d0
	rx(2) = 0.0d0;	ry(2) = b/2.0d0;	rz(2) = 3.0d0*c/4.0d0
	rx(3) = a/2.0d0;	ry(3) = 0.0d0;	rz(3) = c/4.0d0
	rx(4) = a/2.0d0;	ry(4) = b/2.0d0;	rz(4) = c/2.0d0
	iii = 4
	jjj = iii
	
	if(iix .ge. 2)then
	do i=2,iix
		do j=1,jjj
			iii=iii+1
			rx(iii) = rx(iii-jjj) + a
			ry(iii) = ry(iii-jjj)
			rz(iii) = rz(iii-jjj)
		enddo
	enddo
	jjj=iii
	endif
	
	if(iiy .ge. 2)then
	do i=2,iiy
		do j=1,jjj
			iii=iii+1
			rx(iii) = rx(iii-jjj)
			ry(iii) = ry(iii-jjj) + b
			rz(iii) = rz(iii-jjj)
		enddo
	enddo
	jjj=iii
	endif
	
	if(iiz .ge. 2)then
	do i=2,iiz
		do j=1,jjj
			iii=iii+1
			rx(iii) = rx(iii-jjj)
			ry(iii) = ry(iii-jjj)
			rz(iii) = rz(iii-jjj) + c
		enddo
	enddo
	jjj=iii
	endif
	
	write(6,*)'atom number:',jjj
	k = jjj

	open(10,file="CONFIG")
	write(10,'(A)')"Sn"
	write(10,'(A)')"MEAM"
	write(10,*)k
	write(10,*)"1.0000"
	write(10,'(3(e21.13,x))')lx, zero, zero
	write(10,'(3(e21.13,x))')zero, ly, zero
	write(10,'(3(e21.13,x))')zero, zero, lz
	write(10,'(A)')"fra"
	do i=1,k
		write(10,'(3e21.13)')rx(i)/lx, ry(i)/ly, rz(i)/lz
	enddo	
	close(10)

!	open(10,file="POS_PER")
!	write(10,'(3(f8.4,x))')lx, zero, zero
!	write(10,'(3(f8.4,x))')zero, ly, zero
!	write(10,'(3(f8.4,x))')zero, zero, lz
!	write(10,*)
!	do i=1,jjj
!		if(i .ne. 4) then
!			write(10,'(3(f6.4,x))')rx(i)/lx, ry(i)/ly, rz(i)/lz
!		endif
!	enddo
!	close(10)
	
!	open(9,file="CONF_PER")
!	write(9,'(A21,i10)')'Number of particles =',k
!	write(9,'(A)')'# (required) this must be the first line'
!	write(9,'(A)')'A = 1.0 Angstrom (basic length-scale)'
!	write(9,'(A)')'# (optional) basic length-scale: default A = 1.0 [Angstrom]'
!	write(9,'(A)')''
!	write(9,'(A,e15.7,A)')'H0(1,1) = ',lx,' A'
!	write(9,'(A,e15.7,A)')'H0(1,2) = ',zero,' A'
!	write(9,'(A,e15.7,A)')'H0(1,3) = ',zero,' A'      
!	write(9,'(A)')'# (required) this is the supercells 1st edge, in A'
!	write(9,'(A)')''
!	write(9,'(A,e15.7,A)')'H0(2,1) = ',zero,' A'
!	write(9,'(A,e15.7,A)')'H0(2,2) = ',ly,' A'
!	write(9,'(A,e15.7,A)')'H0(2,3) = ',zero,' A'      
!	write(9,'(A)')'# (required) this is the supercells 2nd edge, in A'
!	write(9,'(A)')''
!	write(9,'(A,e15.7,A)')'H0(3,1) = ',zero,' A'
!	write(9,'(A,e15.7,A)')'H0(3,2) = ',zero,' A'
!	write(9,'(A,e15.7,A)')'H0(3,3) = ',lz,' A'      
!	write(9,'(A)')'# (required) this is the supercells 3rd edge, in A'
!	write(9,'(A)')'.NO_VELOCITY.'
!	write(9,'(A)')'entry_count = 3'
!	write(9,'(A)')''
!	write(9,'(A)')'118.710'
!	write(9,'(A)')'Sn'
!	do i=1,k
!		write(9,'(3e21.13)')rx(i)/lx, ry(i)/ly, rz(i)/lz
!	enddo
!	close(9)	
	
	stop
	end
