subroutine breparam
  use bre_commons
  use constants, only: potential_arg
!c
!c parameters for hydrocarbons
!c
!      implicit double precision(a-h,o-z)
!c
!      include 'common_files.inc'
!c
!c
  open(14,file='pot/inter3d_iv_new.d',status='old')
  open(15,file='pot/inter2d_iv.d',status='old')
  open(16,file='pot/inter3dtors.d',status='old')
  open(17,file='pot/inter3d_h.d',status='old')
  open(18,file='pot/inter3d_ch.d',status='old')

!c
!c zero bicubic spline coefficients
!c
  do i=1,2
     do l=1,10
        do m=1,10
           do j=1,16
              clm(i,l,m,j)=0.0
           enddo
        enddo
     enddo
  enddo
!c
!c bicubic spline
!c
  read(15,*) i2d
!c
!c read integer values of bicubic spline

!c
119 continue
  read(15,*) i,j,k,xhh
  if(i.le.0) go to 121
  xh(i,j,k)=xhh
  go to 119
121 continue
!c
!c
  xh1(2,3,1)=(xh(2,4,1)-xh(2,2,1))/2.0d0
  xh1(2,2,2)=(xh(2,3,2)-xh(2,1,2))/2.0d0
!c
  xh2(2,2,2)=(xh(2,2,3)-xh(2,2,1))/2.0d0
  xh2(2,1,3)=(xh(2,1,4)-xh(2,1,2))/2.0d0
!c
!c read bicubic spline coefficients
!c
126 continue
  read(15,*,end=127) i,l,m
  read(15,*) (clm(i,l,m,j),j=1,16)
  go to 126
127 continue
!c
  ic=0
!c
  do i=1,4
     do  j=1,4
        ic=ic+1
        in2(ic,1)=i-1
        in2(ic,2)=j-1
     enddo
  enddo
!c
!c read tricubic spline coefficients
!c
  ic=0
!c
  do i=1,4
     do j=1,4
        do k=1,4
           ic=ic+1
           in3(ic,1)=i-1
           in3(ic,2)=j-1
           in3(ic,3)=k-1
        enddo
     enddo
  enddo
!c
  read(14,*) i3d
129 continue
  read(14,*,end=130) l,m,n
  read(14,*) (clmn(1,l,m,n,i),i=1,64)
  go to 129
130 continue
!c
  read(17,*) i3d
229 continue

  read(17,*,end=230) l,m,n
  read(17,*) (clmn(3,l,m,n,i),i=1,64)
  go to 229
230 continue
!c
  read(18,*) i3d
239 continue
  read(18,*,end=240) l,m,n
  read(18,*) (clmn(2,l,m,n,i),i=1,64)
  go to 239
240 continue
!c
  do l=1,10
     do m=1,10
        do i=1,64
           clmn(1,l,m,10,i)=clmn(1,l,m,9,i)
           clmn(2,l,m,10,i)=clmn(2,l,m,9,i)
           do n=6,10
              clmn(3,l,m,n,i)=clmn(3,l,m,5,i)
           enddo
        enddo
     enddo
  enddo
!c
!c read tricubic spline coefficients for torsional potential
!c
  read(16,*) itd
135 continue
  read(16,*,end=136) l,m,n
  read(16,*) (tlmn(l,m,n,i),i=1,64)
  go to 135
136 continue
!c
  do l=1,10
     do m=1,10
        do n=4,10
           do i=1,64
              tlmn(l,m,n,i)=tlmn(l,m,3,i)
           enddo
        enddo
     enddo
  enddo
!c
  if((itd.ne.i2d).or.(itd.ne.i3d)) then
     write(6,*) 'incompatable potential types'
!            include 'close.inc'
     close (14);close(15);close(16);close(17);close(18)
     stop
  endif

!c
  pq=pi/(xqm-att)

  do i=1,4
     do j=1,4
        ad(i,j)  = 0.0d0
        axl(i,j) = 0.0d0
        bd(i,j)  = 0.0d0
        
        bxl(i,j) = 0.0d0
        cd(i,j)  = 0.0d0
        cxl(i,j) = 0.0d0
        dd(i,j)  = 0.0d0
        dxl(i,j) = 0.0d0
        ed(i,j)  = 0.0d0
        rb1(i,j) = 0.0d0
        rb2(i,j) = 0.0d0
        rmax(i,j) = 0.0d0
        pid(i,j) = 1.0d0
        chi(i,j) = 1.0d0
        do k = 1,4
           xdb(i,j,k) = 0.0d0
        enddo
     enddo
  enddo

!c
!c*** important***************
!c                           *
!c to include dihedral terms *
!c set ndihed=2, otherwise   *
!c set ndihed=10             *
!c                           *
!c****************************
!c
  ndihed=2
!c
!c carbon
!c
  ad(1,1)=12388.79197798375d0
  axl(1,1)=4.720452312717397d0
  bd(1,1)=17.56740646508968d0
  bxl(1,1)=1.433213249951261d0
  cd(1,1)=30.71493208065162d0
  cxl(1,1)=1.382691250599169d0
  dd(1,1)=10953.54416216992d0
  dxl(1,1)=4.746539060659529d0
  ed(1,1)=0.3134602960832605d0
  rb1(1,1)=1.7d0
  rb2(1,1)=2.0d0
  rmax(1,1)=rb2(1,1)
  pid(1,1)=pi/(rb2(1,1)-rb1(1,1))
!c
!c hydrogen
!c
  ad(2,2)=29.6325931d0
  axl(2,2)=1.715892169856421d0
  bd(2,2)=0.0d0
  bxl(2,2)=1.0d0
  cd(2,2)=0.0d0
  cxl(2,2)=1.0d0
  dd(2,2)=32.81735574722296d0
  dxl(2,2)=3.536298648376465d0
  ed(2,2)=0.3704714870452888d0
!c 
  rb1(2,2)=1.10d0

  rb2(2,2)=1.70d0
  rmax(2,2)=rb2(2,2)
  pid(2,2)=pi/(rb2(2,2)-rb1(2,2))
!c
!c carbon-hydrogen
!c
  ad(2,1)=32.35518665873256
  axl(2,1)=1.434458059249837
  dd(2,1)=149.9409872288120
  dxl(2,1)= 4.102549828548784
  ed(2,1)=0.3407757282257080
!c
  bd(2,1)=0.0d0
  bxl(2,1)=1.0d0
  cd(2,1)=0.0d0
  cxl(2,1)=1.0d0
!c
  ad(1,2)=ad(2,1)
  axl(1,2)=axl(2,1)
  bd(1,2)=bd(2,1)
  bxl(1,2)=bxl(2,1)
  cd(1,2)=cd(2,1)
  cxl(1,2)=cxl(2,1)
  dd(1,2)=dd(2,1)
  dxl(1,2)=dxl(2,1)
  ed(1,2)=ed(2,1)
!c
  rb1(2,1)=1.3d0
  rb2(2,1)=1.8d0
  rmax(2,1)=rb2(2,1)
  pid(2,1)=pi/(rb2(2,1)-rb1(2,1))
  pidt=pi/0.30d0
!c
  rb1(1,2)=rb1(2,1)
  rb2(1,2)=rb2(2,1)
  rmax(1,2)=rb2(1,2)
  pid(1,2)=pi/(rb2(1,2)-rb1(1,2))
!c
  do i=1,2
     do j=1,2
        do k=1,2
           xdb(i,j,k)=0.0d0
           reg(i,j,k)=1.0d0
        enddo
     enddo
  enddo
!c
  xxdb=4.0d0
  rhh=0.7415886997d0
  rch=1.09d0
  xdb(2,2,2)=4.0d0
!c
  xdb(2,1,2)=4.0d0
  xdb(2,2,1)=4.0d0
!c
  xdb(2,1,1)=4.0d0
  xdb(1,2,1)=0.0d0
  xdb(1,2,2)=0.0d0
!c
  reg(2,1,2)=exp(xdb(2,1,2)*(rhh-rch))
  reg(2,2,1)=exp(xdb(2,2,1)*(rch-rhh))

!! Tersoff for silicon --- disabled due to serious bug!!
  if (TRIM(potential_arg)=='TerI') then
     stop 'Brenner-Si contains serious bug!'
     mtersoff = 1
  else if (TRIM(potential_arg)=='TerII') then
     stop 'Brenner-Si contains serious bug!'
     mtersoff = 2
  else if (TRIM(potential_arg)=='Sn') then
     stop 'Brenner-Si contains serious bug!'
     mtersoff = 4
!  else
!     mtersoff = 3
  endif

!c
!c tersoff-i silicon (PRB37-6991, 'Si(B)' in PRB38-9902)
  if (mtersoff == 1) then
     dxl(3,3)=3.2394d0 ! lambda_1
     axl(3,3)=1.3258d0 ! lambda_2
     dd(3,3)=3264.7d0 ! A
     ad(3,3)=95.373d0 ! B
     xtn2(3)=22.956d0 ! n
     xtn1(3)=1/(2.0*xtn2(3))
     xtm(3)=3.0d0    ! always 3? (new)
     xtl(3)=1.3258d0 ! lambda_3 (new)
     adb(3)=0.33675d0 ! beta
     cdb(3)=4.8381d0 ! c
     cdb2(3) = cdb(3)*cdb(3)
     ddb(3)=2.0417d0 ! d
     ddb2(3) = ddb(3)*ddb(3)
     hdb(3)=0.0d0 ! h
     rb1(3,3)=2.8d0
     rb2(3,3)=3.2d0
     rmax(3,3)=rb2(3,3)
     pid(3,3)=pi/(rb2(3,3)-rb1(3,3))
     chi(3,3) = 1.0d0
!c tersoff-ii silicon ('Si(C)' in PRB38-9902)
  else if (mtersoff == 2) then
     dxl(3,3)=2.4799d0
     axl(3,3)=1.7322d0
     dd(3,3)=1830.8d0
     ad(3,3)=471.18d0
     xtn2(3)=0.78734d0
     xtn1(3)=1/(2.0*xtn2(3))
     xtm(3)=3.0d0    ! always 3? (new)
     xtl(3)=1.7322d0 ! lambda_3 (new)
     adb(3)=1.0999d-6
     cdb(3)=1.0039d+5
     cdb2(3) = cdb(3)*cdb(3)
     ddb(3)=16.218d0
     ddb2(3) = ddb(3)*ddb(3)
     hdb(3)=-0.59826d0
     rb1(3,3)=2.7d0
     rb2(3,3)=3.0d0
     rmax(3,3)=rb2(3,3)
     pid(3,3)=pi/(rb2(3,3)-rb1(3,3))
     chi(3,3) = 1.0d0
!c tersoff-Sn tin (Negami)
  else if (mtersoff == 4) then
     dxl(3,3)=2.277d0 ! lambda_1
     axl(3,3)=1.203d0 ! lambda_2
     dd(3,3)=1232.0d0 ! A
     ad(3,3)=130.0d0 ! B
     xtn2(3)=0.9907d0 ! n
     xtn1(3)=1/(2.0*xtn2(3))
     xtm(3)=1.0d0    ! always 3? (new)
     xtl(3)=1.921d0**(1.0/3.0) ! lambda_3 (new)
     adb(3)=0.1590d0**(1.0/xtn2(3)) ! beta
     cdb(3)=312.78d0 ! c
     cdb2(3) = cdb(3)*cdb(3)
     ddb(3)=14.489d0 ! d
     ddb2(3) = ddb(3)*ddb(3)
     hdb(3)=-0.4604d0 ! h
     rb1(3,3)=4.15d0
     rb2(3,3)=4.45d0
     rmax(3,3)=rb2(3,3)
     pid(3,3)=pi/(rb2(3,3)-rb1(3,3))
     chi(3,3) = 1.0d0
!c tersoff-iii silicon (PRB39-5566)
  else
     dxl(3,3)=2.4799d0
     axl(3,3)=1.7322d0
     dd(3,3)=1830.8d0
     ad(3,3)=471.18d0
     xtn2(3)=0.78734d0
     xtn1(3)=1/(2.0*xtn2(3))
     adb(3)=1.0999d-6
     cdb(3)=1.0039d+5
     cdb2(3) = cdb(3)*cdb(3)
     ddb(3)=16.218d0
     ddb2(3) = ddb(3)*ddb(3)
!     hdb(3)=0.59826d0
     hdb(3)=-0.59826d0 !YU
     rb1(3,3)=2.7d0
     rb2(3,3)=3.0d0
     rmax(3,3)=rb2(3,3)
     pid(3,3)=pi/(rb2(3,3)-rb1(3,3))
     chi(3,3) = 1.0d0
  endif
!c
!c tersoff germanium (PRB39-5566)
!c
  dxl(4,4) = 2.4451d0
  axl(4,4) = 1.7047d0
  dd(4,4) = 1769.0d0
!  ad(4,4) = 0.50d0 * 419.23d0
  ad(4,4) = 0.50d0 * 419.23d0 * 2.0 !YU
  xtn2(4) = 0.75627d0
  xtn1(4) = 1/(2.0*xtn2(4))
  adb(4) = 9.0166d-07
  cdb(4) = 1.0643d+5
  cdb2(4) = cdb(4)*cdb(4)
  ddb(4) = 15.652d0
  ddb2(4) = ddb(4)*ddb(4)
  hdb(4) = -0.43884d0
  rb1(4,4)=2.7d0
  rb2(4,4)=3.0d0
  rmax(4,4)=rb2(4,4)
  pid(4,4)=pi/(rb2(4,4)-rb1(4,4))
  chi(4,4) = 1.0d0
!c
!c mixed silicon-germanium
!c
  dxl(4,3) = (dxl(4,4)+dxl(3,3))/2.0d0
  dxl(3,4) = dxl(4,3)
  axl(4,3) = (axl(4,4)+axl(3,3))/2.0d0
  axl(3,4) = axl(4,3)
  dd(4,3) = sqrt(dd(4,4)*dd(3,3))
  dd(3,4) = dd(4,3)
  ad(4,3) = sqrt(ad(3,3)*ad(4,4))
  ad(3,4) = ad(4,3)
  rb1(4,3) = sqrt(rb1(3,3)*rb1(4,4))
  rb1(3,4) = rb1(4,3)
  rb2(4,3) = sqrt(rb2(3,3)*rb2(4,4))
  rb2(3,4) = rb2(4,3)
  rmax(4,3) = rb2(4,3)
  rmax(3,4) = rmax(4,3)
  pid(4,3) = pi/(rb2(4,3)-rb1(4,3))
  pid(3,4) = pid(4,3)
  chi(4,3) = 1.00061d0
  chi(3,4) = chi(4,3)
!c
  sigma=1.0d0
  epsi=11605.0d0
!c
  do i=1,4
     do j=1,4
        rlist(i,j)=(rmax(i,j)+rll)**2
        rmax(i,j)=rmax(i,j)**2
     enddo
  enddo
  close (14);close(15);close(16);close(17);close(18)
  return
110 format(4i5)
120 format(4e20.6)
end subroutine breparam

