  module bre_commons
!c      include 'parameters.inc' 
!C  NPMAX: maximum # of atoms 
!C  NSMAS: maximum # of steps
!C  NLMAX: maximum # elements in neighbor list
!C   NTAB: array size for potential table look-up
!C NTYPES: maximum # of different types of atoms allowed for Lennard-Jones 
!C         potential
!C   natx: number of atoms used in tight-binding matrices. MUST be set equal
!C        to np before compiling. 
!C 
      PARAMETER(NPMAX=7000,NSMAX=15000, NLMAX=60000, NTAB=10000)
      PARAMETER(NPM1=NPMAX+1)
      PARAMETER(NTYPES=8)
      PARAMETER(NNMA=5000*40)
      parameter(ikl=2)
      PARAMETER(NMABIG=NNMA*5)
      PARAMETER(VER=3.00D0)
!c
!c tight binding parameters 
!c
!c$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
!C change natx to equal number of atoms
!C$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$

       parameter  (natx=1,nmax=4*natx,nnx=40)
       parameter  (NElen=256)
       parameter (Am=8.18555d0)
       parameter (rctb=2.18d0)
       parameter (ro=1.536329d0)
       parameter (xnc=6.5d0)
       parameter (xmtb=3.30304d0)
       parameter (xmc=8.655d0)
       parameter (do=1.64d0)
       parameter (dc=2.1052d0)
       parameter (aa1=0.11487638d0)
       parameter (aa2=0.10284431)
       parameter (f0=-2.5909765118191,f1=0.5721151498619d0, &
            f2=-1.7896349903996d-03,f3=2.3539221516757d-05, &
            f4=-1.24251169551587d-07)
!c       parameter (stb0=2.2504290109d-08, stb1=-1.4408640561d-06,
!c     . stb2=2.1043303374d-05,stb3=6.6024390226d-05)
        parameter (stb0=2.3397813383026395E-08, &
             stb1=-1.4932260865335458E-06, &
             stb2=-1.7754111704565561E-04, &
             stb3=-3.3923114578539729E-03)
       parameter (ttb0=6.7392620074314d-03,ttb1=-8.1885359517898d-02, &
            ttb2=0.1932365259144d0,ttb3=0.354287433238d0)



!c      include '../Commons/common_md.inc'
!C$$$$$
!C
!C General common blocks 
!C
!C$$$$
      integer :: NRA,NLA,NP,NAPL,NMA,NTA,KVC,MAXKB,NATOM,KFLAG,NLR,KEND 
      integer :: KB,NCHK(NSMAX),KCHK,KTYPE(NPMAX),KT(100) &
           ,KT2(100),ITR(NPMAX),MLIST(NPMAX),NLIST(NPMAX),IPOT,ILJ,KTMAX &
           ,NOA(NTYPES) ,LSTEP ,nxmol 
      double precision :: R0(NPMAX,3),R1(NPMAX,3),R2(NPMAX,3),R3(NPMAX,3),R4(NPMAX,3)
      double precision :: HEAD(20)
      double precision :: RNP(NPMAX,3),R0L(NPMAX,3),DAX(NPMAX),DAY(NPMAX),DAZ(NPMAX)
      double precision :: RLL,CUBE(3,3),CUBE2(3),TOTE,ECONV,ENPR
      double precision :: EPSI,SIGMA,XMASS(NTYPES)
      double precision :: DELTA,TSTEP,EPAR1,EPAR2,HDEL(NSMAX),TTIME,TIME 
      double precision :: PSEED,GSIG,BET,TR,TEM,WD,PI2,DNLA,EN(NSMAX),pi,GL(3*NPMAX)
      double precision :: F02,F12,F32,F42,F52,DELTSQ
      double precision :: XKE(NLMAX),XKEA,TTCONV,PCONV
      double precision :: ETOT(NSMAX),eatom(npmax) 
      double precision :: QBASE,QA1,QA2,QB1,QB2
      double precision :: NR,IREM(NPMAX),KREM(NPMAX),NREM
      double precision :: PENET

!c      include '../Commons/common_ch.inc' 
!C$$$$
!C
!C Common blocks for empirical hydrocarbon potential
!C
!C$$$$
      integer :: IGH(25),IN3(64,3),NDIHED 
      double precision :: BWW(NLMAX),DWW(NLMAX)
      double precision :: RCOR(NLMAX),COR(NLMAX,3)
      double precision :: XH(2,10,10),XH1(2,10,10),XH2(2,10,10)
      integer :: LIST(NLMAX),NABORS(NPM1),LCHECK(NLMAX)
      double precision :: AD(4,4),AXL(4,4),BD(4,4),BXL(4,4) &
           ,CD(4,4),CXL(4,4),DD(4,4),DXL(4,4),ED(4,4) &
           ,XN1(2),RB1(4,4),RB2(4,4),PID(4,4),RMAX(4,4) &
           ,RLIST(4,4),SPGC(6,5),SPGH(6,3),XQ,ATT,XQM,PQ &
           ,XTN2(4),XTN1(4),ADB(4),CDB(4),CDB2(4),DDB(4) &
           ,DDB2(4),HDB(4),CHI(4,4) &
           ,xtm(4),xtl(4)
      integer :: IGC(25)
      double precision :: XXDB,XDB(4,4,4),REG(4,4,4)
      double precision :: CLMN(3,10,10,10,64),CLM(2,10,10,16) &
           ,TLMN(10,10,10,64),PIDT
      integer :: IN2(16,2)
      double precision :: EXX1(NLMAX),DEXX1(NLMAX),EXX2(NLMAX)
      integer :: IVCT2B(NLMAX),JVCT2B(NLMAX)
      double precision :: XHC(NPMAX,2)
      double precision :: ATABLE(4,4,NTAB),DATABLE(4,4,NTAB) &
           ,RTABLE(4,4,NTAB),DRTABLE(4,4,NTAB) ,DDTAB(4,4) &
           ,TABFC(4,4,NTAB),TABDFC(4,4,NTAB)

!c      include '../Commons/common_lj_new.inc' 
      integer :: iv(nmabig),jv(nmabig), kliend
      double precision :: eps(ntypes,ntypes),sig(ntypes,ntypes) &
           ,RMAXLJ(ntypes,ntypes), RSLJ(ntypes,ntypes) &
           ,RSPL(ntypes,ntypes),RSPLS(ntypes,ntypes) &
           ,XMM(ntypes,ntypes),XMMS(ntypes,ntypes) &
           ,XM(ntypes,ntypes),C2(ntypes,ntypes) &
           ,C3(ntypes,ntypes),pvdw,rrs(3) 
      double precision :: epss(ntypes,ntypes),sigs(ntypes,ntypes) &
           ,surf ,tau(ntypes) 
      integer :: ndir 
      double precision :: dellj,vlook(10000,ntypes,ntypes) &
           ,dlook(10000,ntypes,ntypes) 

!c      include '../Commons/common_tb.inc' 
       integer :: ifail,ip,iprint,neigen,iprintstep, &
            iik,Nntb(natx),Nident(natx,nnx),idos(1024), &
            NE_yli,Nat,ierr 
       double precision :: xdos(1024)
       double precision :: tbpar(6),p,X02AAF,summa,xkt(10,3),ecl, &
            HR(nmax,nmax),E(nmax),VR(nmax,nmax), &
            xnaapurit(natx,nnx,3),scale,rcut,basis(3,3), &
            E_pot,ed_F(natx,3),ann, &
            xnopeudet(natx,3),E_kin,dist,vec1(3),vec2(3), &
            temp,seed,xscale,Emintb,Emax,E_scale, &
            fv1(nmax),fv2(nmax), &
            V_mkp(3),apu, &
            DH(4,4,3),FHF(natx,3),capu2,capu3,capu4, &
            wsum(natx),dwsum(natx) &
            ,vatb(nmax,nmax) 
!c       common / par/ Am,rc,ro,xnc,xm,xmc,do,dc,aa1,aa2 
!c     .,f0,f1,f2,f3,f4,s0,s1,s2,s3,t0,t1,t2,t3  
!c carbon
       data tbpar/-2.99,3.71,-5.0,4.7,5.5,-1.55/ 

       logical    cont

! Tersoff potential version
       integer :: mtersoff = 3

      data spgc/ &
           0.2817216000000e+00, 0.1062912000000e+01, 0.2136736000000e+01, &
           0.2533952000000e+01, 0.1554736000000e+01, 0.3863296000000e+00, &
           0.2817216000000e+00, 0.1062912000000e+01, 0.2136736000000e+01, &
           0.2533952000000e+01, 0.1554736000000e+01, 0.3863296000000e+00, &
           0.6900668660000e+00, 0.5460691360000e+01, 0.2301345680000e+02, &
           0.5491519344000e+02, 0.6862037040000e+02, 0.3470897779200e+02, &
           0.3754490870000e+00, 0.1407252749388e+01, 0.2255103926323e+01, &
           0.2028902219952e+01, 0.1426981217906e+01, 0.5063107994308e+00, &
           0.2718558000000e+00, 0.4892727456293e+00,-0.4328199017473e+00, &
           -0.5616795197048e+00, 0.1270874966906e+01,-0.3750409108350e-01/

      data igc/16*4,2*3,2*2,5*1/
!c
      data spgh/270.467795364007301,1549.701314596994564 &
           ,3781.927258631323866,4582.337619544424228,2721.538161662818368, &
           630.658598136730774,16.956325544514659,-21.059084522755980, &
           -102.394184748124742,-210.527926707779059,-229.759473570467513, &
           -94.968528666251945,19.065031149937783,2.017732531534021, &
           -2.566444502991983,3.291353893907436,-2.653536801884563, &
           0.837650930130006/
!c
      data igh/18*3,4*2,3*1/
!c
      data xh/200*0.0/,xh1/200*0.0/,xh2/200*0.0/
!c
      data att/3.20d0/,xqm/3.70d0/
      data kt/2,4*0,1,7*0,3,17*0,4,68*0/ ! kt(1)=2(H),kt(6)=1(C),kt(14)=3(Si),kt(32)=4(Ge),others:0
      data kt2/6,1,14,32,96*0/ ! Reverse of kt
    end module bre_commons
